Package com.xebialabs.xlrelease.domain.delivery

## Enum TrackedItemStatus

- java.lang.Object
- - java.lang.Enum<TrackedItemStatus>
  - - com.xebialabs.xlrelease.domain.delivery.TrackedItemStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TrackedItemStatus>`

      public enum TrackedItemStatus
      extends java.lang.Enum<TrackedItemStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NOT_READY` |
    `READY` |
    `SKIPPED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static TrackedItemStatus[]` | `DONE_STATUSES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isDone()` |
    `boolean` | `isOneOf​(TrackedItemStatus... statuses)` |
    `java.lang.String` | `value()` |
    `static TrackedItemStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TrackedItemStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_READY

          public static final TrackedItemStatus NOT_READY

    - #### READY

          public static final TrackedItemStatus READY

    - #### SKIPPED

          public static final TrackedItemStatus SKIPPED

  - ### Field Detail

    - #### DONE_STATUSES

          public static final TrackedItemStatus[] DONE_STATUSES

  - ### Method Detail

    - #### values

          public static TrackedItemStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrackedItemStatus c : TrackedItemStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrackedItemStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### isDone

          public boolean isDone()

    - #### isOneOf

          public boolean isOneOf​(TrackedItemStatus... statuses)